Skip to main content
POST
/
v3
/
evals
/
datasets
Create an Evals dataset
curl --request POST \
  --url https://api.example.com/v3/evals/datasets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "metadata": {},
  "active": true
}
'
import requests

url = "https://api.example.com/v3/evals/datasets"

payload = {
"name": "<string>",
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"metadata": {},
"active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
application_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
description: '<string>',
metadata: {},
active: true
})
};

fetch('https://api.example.com/v3/evals/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "created_by": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "full_name": "<string>"
    },
    "updated_by": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "full_name": "<string>"
    },
    "organization": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "project": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "application": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "description": "<string>",
    "metadata": {},
    "field_mapping": {}
  }
}
{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}
{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request to create a new dataset

name
string
required
Maximum string length: 256
application_id
string<uuid>
required

Application UUID

description
string | null
Maximum string length: 512
metadata
object | null
active
boolean
default:true

Response

Created

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object

Eval dataset metadata